/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
 * @文件名:  main.c
 * @作  者:  AE Team
 * @版  本:  V1.00
 * @日  期:  2022/07/25
 * @描  述:  LVD示例程序
             降低供电电压，每当LVD检测低于4.7V电压LED1点亮一次
 * @note
 *          Change Logs:
 *          Date            Author          Notes
 *          25 July 2022    AE Team         change license to Apache-2.0
 *
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************
 */


#include "main.h"

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();
    User_SysTickInit();

    LightInit(LED1_PIN);
    LightInit(LED2_PIN);
    LightOn(LED1_PIN);
    Delay_100us(30000);

    SCU_RegUnLock();
    SCU_LVDVS_4V7();
    SCU_LVDFLT_Enable();
    SCU_LVDIFS_Rise();      /* LVDO上升沿产生中断 */
    SCU_LVD_Enable();
    SCU_LVDIT_Enable();
    SCU_RegLock();
    NVIC_Init(NVIC_LVD_IRQn, NVIC_Priority_1, Enable);

    while (1)
    {
        Delay_100us(10000);
        LightOff(LED1_PIN);
        Delay_100us(10000);
    }
}


/*************************END OF FILE**********************/
