/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
 * @文件名:  irqhandler.c
 * @作  者:  AE Team
 * @版  本:  V1.00
 * @日  期:  2022/07/25
 * @描  述:  
 * @note
 *          Change Logs:
 *          Date            Author          Notes
 *          25 July 2022    AE Team         change license to Apache-2.0
 *
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************
 */

#include "irqhandler.h"

extern uint8_t g_sleep_flag;

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void PINT1_IRQHandler(void)
描  述: 端口中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void PINT1_IRQHandler(void)
{
    if ((PINT_GetITFlag(GPIO_Pin_A1) == SET) && (PINT_GetITStatus(GPIO_Pin_A1) == SET) && (PINT_GetPMASK(GPIO_Pin_A1) != SET))
    {
        PINT_ClearITFlag(GPIO_Pin_A1);
    }
}

/*********************************************************
函数名: void KINT_IRQHandler(void)
描  述: 按键中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void KINT_IRQHandler(void)
{
    if ((KINT_GetITFlag(GPIO_Pin_A3) == SET) && (KINT_GetITStatus(GPIO_Pin_A3) == SET) && (KINT_GetKMASK(GPIO_Pin_A3) != SET))
    {
        KINT_ClearITFlag(GPIO_Pin_A3);
    }
}

/***************************************************************
 描  述：IWDT_IRQHandler
 输入值：无
 返回值：无
***************************************************************/
void IWDT_IRQHandler(void)
{

}

/***************************************************************
 描  LVD_IRQHandler
 输入值：无
 返回值：无
***************************************************************/
void LVD_IRQHandler(void)
{

}


/*************************END OF FILE**********************/
