/*********************************************************
*Copyright (C), 2018, Shanghai Eastsoft Microelectronics Co., Ltd
*ļ:  main.c
*  :  Eastsoft AE Team
*  :  V1.00
*  :  2022/08/25
*  :  CLASSB
*  ע:  FS030
 *
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
**********************************************************/

#include "main.h"

void STL_1sConfig(void);

/*********************************************************
: void T16N0_Init(void)
  : T16N0ʱʼ
ֵ: 
ֵ: 
ֵ: 
**********************************************************/
void T16N0_Init(void)
{
    T16Nx_BaseInitStruType x;

    /* ʼT16Nxʱ*/
    x.T16Nx_ClkS = T16Nx_ClkS_PCLK;                     //ڲʱPCLK
    x.T16Nx_SYNC = Disable;
    x.T16Nx_EDGE = T16Nx_EDGE_Rise;
    x.T16Nx_Mode = T16Nx_Mode_TC0;                      //ʱģʽ
    x.T16Nx_PREMAT = 1;
    T16Nx_BaseInit(T16N0, &x);                          //ʼʱT16N0

    /* öʱÿ40000ϵͳʱӲһж */
    T16Nx_MAT0ITConfig(T16N0, T16Nx_Clr_Int);           //MAT0ƥ
    T16Nx_SetCNT0(T16N0, 0);                            //T16N0ʼֵΪ0
    T16Nx_SetMAT0(T16N0, 800);                          //T16N0MAT0ֵΪ800
    T16Nx_ITConfig(T16N0, T16Nx_IT_MAT0, Enable);       //ʹT16N0ƥ0ж
    NVIC_Init(NVIC_T16N0_IRQn, NVIC_Priority_0, Enable); //ж
    T16Nx_Enable(T16N0);
}

/*********************************************************
: int main(void)
  : 
ֵ: 
ֵ: 
ֵ: 
**********************************************************/
int main(void)
{
    SystemInit();
    SystemCoreClock = 48000000;   //Ĭ48MHz
    DeviceClockAllEnableButIAP();
    STL_InitRunTimeChecks();
    STL_1sConfig();
    User_SysTickInit();
    T16N0_Init();

#ifdef STL_VERBOSE_PRINTF
    STL_UARTInit();         //ӡϢӿڳʼӲIOһ)
    printf("\n\n\r *******main: STL_InitRunTimeChecks *******\n\r");
#endif

    while (1)
    {
        /* Add your application tasks here  */

        if (TimeBaseFlag == 0xAAAAAAAAuL)
        {
            STL_DoRunTimeChecks();

            TimeBaseFlag = 0;
            TimeBaseFlagInv = ~TimeBaseFlag;
        }
    }
}
